```wmd-options
language = es
title_i18n = kanvas_title_targets
title_text = Objetivos - Kanvas
```

<!-- [[wmd]] -->

## Objetivos

Los objetivos para poder llevar a cabo este proyecto son los siguientes:

+ [X] Montar estructura base del proyecto.
+ [-] Montar motor.
    + [X] Base del fichero ECMA/JS.
    + [X] Generador de objetos CANVAS y/o referencia a éstos.
    + [X] Montar sistema de mapeado dinámico \(Dibujador) vía Arrays anidados con Diccionarios/Objetos.
    + [X] Atributos de proporción y posicionamiento.
    + [X] Generación de atributos comunes.
        + [X] Rotación.
        + [X] Transparencia \(Efecto alfa).
        + [X] Color.
        + [X] Posición.
        + [X] Hijos \(Gestor de elementos anidados).
        + [X] Printer para imprimir objeto por consola del navegador para testeos y debugging.
    + [-] Disposición y tamaño.
        + [X] Nativo, es decir, por celdas.
        + [ ] Porcentaje.
        + [ ] Determinar si se mira todo el objeto Canvas o no *\(full)*.
    + [X] Dibujador de rectándulos.
    + [X] Dibujador de imágenes.
    + [X] Dibujador de texto.
    + [ ] Dibujador de capa vacía.
    + [ ] Gestor de elementos caché.
    + [ ] Dibujador de formas personalizadas.
    * [ ] Integrar automáticamente la creación de AnP cuando éste no esté dado o definido.
+ [-] Documentar.
    + [-] Montaje de la documentación base en WMarkDown.
    + [ ] Documentación técnica.
+ [ ] Publicar y actualizar.

<!-- [[wmd]] -->